<?php
class ExecutarModel extends Model
{
	public function inputValidate($form)
	{
		$msgerro = Array();

		if (empty($form['data_execucao']))
			$msgerro[] = "Informe uma data.";

		if (strlen($form['descricao_execucao']) < 20)
			$msgerro[] = "Informe uma execuo maior que 20 caracteres.";

			return $msgerro;
	}

	public function enviarAction()
	{
		$erros = $this->inputValidate($this->request);

		if (count($erros) == 0)
		{
			$this->updateAttributes();

			$this->_data_execucao = $this->request['data_execucao'];
			$this->_descricao_execucao = $this->request['descricao_execucao'];
			$this->_mensagem = "Sua solicitao foi concluda.";

			$this->updateInstance();
			$this->commitInstance();

			return true;

		} else {

			$this->defaultAction();

			$this->addViewvar('data_execucao', $this->request['data_execucao']);
			$this->addViewVar('descricao_execucao', $this->request['descricao_execucao']);
			$this->addViewVar('erros', $erros);

			return false;
		}
	}

	public function defaultAction()
	{
		$this->updateAttributes();

		$this->addViewVar('solicitante_desc', $this->_solicitante_desc);
		$this->addViewVar('data', $this->_data);
		$this->addViewVar('titulo', $this->_titulo);
		$this->addViewVar('descricao', $this->_descricao);

		return true;
	}

}
?>
