// gloval variable which indicates if a sendRequest can be called
// nanoajax crashes if a request is called while another one ir running
var allowedRequest = 0;

/* funo que trata erros na chamada Ajax */
function errorHandlerFunc(error)
{
	alert("Houve um erro neste procedimento.\nPor favor, contacte o administrador\n");
	allowedRequest = 0;
}

/* funo que trata excees na chamada Ajax */
function exceptionHandlerFunc(header, body, exception)
{
	if (exception.toUpperCase().search('__NANOAJAX_SESSION_EXPIRED__') != -1)
	{
		alert('A sesso do seu navegador expirou.\n' +
				'Faa um novo login para continuar.\n\n' +
				'Os dados digitados nesta pgina e ainda no salvos sero perdidos. ' +
				'Salve-os em um local temporrio antes de prosseguir.');
	}
	else
	{
		alert(exception);
	}
	allowedRequest = 0;
}
/*
* Executa a chamada ajax.
* @param classe  Classe ajax.
* @param func    Funo JS que necessita do retorno da chamada.
* @param request Funo PHP que retornar o que for necessrio.
* @param param   Parmetro passado  chamada ajax.
*/
function goAjax(classe, func, request, param){
	var nc = new NanoController();
	nc.setWfUrl();
	nc.setSuccessHandler(func);
//	nc.setExceptionHandler(exceptionHandlerFunc);
//	nc.setErrorHandler(errorHandlerFunc);
	nc.addVirtualRequest(request,
	{
		action: classe,
		mode:	request
	}, param);
	nc.sendRequest();
}
