<?PHP
class AvaliarModel extends Model
{
	public function defaultAction()
	{
		$this->updateAttributes();

		$perfil = Factory::getInstance('wf_role');
		$usuarios = $perfil->getUsersFromRole('Tecnico', true);

		$tecnicos = array();
		foreach ($usuarios as $pessoa)
		{
			$tecnicos[$pessoa['id']] = $pessoa['name'];
		}

		$this->addViewVar('tecnicos', $tecnicos);

		$this->addViewVar('solicitante_desc',
							$this->_solicitante_desc);
		$this->addViewVar('data',
							$this->_data);
		$this->addViewVar('titulo',
							$this->_titulo);
		$this->addViewVar('descricao',
							$this->_descricao);

		return true;
	}

	public function aprovarAction()
	{
		$this->updateAttributes();

		$this->instance->setNextActivity('Executar');
		$this->instance->setNextUser($this->request['usuario']);
		$this->_mensagem = "Sua solicitao foi aprovada.";

		$this->updateInstance();
		$this->commitInstance();
		return true;
	}

	public function rejeitarAction()
	{
		$this->updateAttributes();

		$this->instance->setNextActivity('Informar Resultado');
		$this->_mensagem = "Sua solicitao foi recusada.";

		$this->updateInstance();
		$this->commitInstance();
		return true;
	}
}
?>
