<?php
class ComporSolicitacaoModel extends Model
{
	public function inputValidate($form)
	{
		$msgerro = Array();

		if (empty($form['titulo']))
			$msgerro[] = "Informe um titulo.";

		if (strlen($form['descricao']) < 20)
			$msgerro[] = "Informe uma descrio maior que 20 caracteres.";

		return $msgerro;
	}

	public function enviarAction()
	{
		$erros = $this->inputValidate($this->request);

		if (count($erros) == 0)
		{
			$this->_autor = $this->getWfProperty('wf_user_id');
			$this->_autor_desc = $this->getWfProperty('wf_user_cnname');

			$this->_solicitante = $this->request['solicitante'];
			$this->_solicitante_desc = $this->request['solicitante_desc'];

			$this->_titulo = $this->request['titulo'];
            $this->_descricao = $this->request['descricao'];
            $this->_data = date('d/m/Y H\hi');

			$this->instance->setName($this->_titulo);

			$query = "INSERT INTO
							solicitacoes.solicitacao
							(titulo, descricao)
						VALUES (?,?)";

			$this->DAO->connect();
			$this->DAO->startTrans();
			$result = $this->DAO->query($query, array(
						$this->_titulo,
						$this->_descricao));
			if ($result)
			{
				$this->DAO->completeTrans();
				$this->updateInstance();
				$this->commitInstance();
			} else {
				$this->DAO->failTrans();
				return false;
			}

			$this->DAO->disconnect();

			return true;

		} else {
			$this->addViewVar('titulo',$this->request['titulo']);
			$this->addViewVar('descricao', $this->request['descricao']);
			$this->addViewVar('erros', $erros);
			return false;
		}
	}
}
?>
